MP4(3)

NAME

MP4GetTrackFixedSampleDuration - Get the fixed duration of samples in a track

SYNTAX

#include <mp4.h>

MP4Duration MP4GetTrackFixedSampleDuration(
    MP4FileHandle hFile,
    MP4TrackId trackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

RETURN VALUES

Upon success, the number of fixed duration of the samples in the track in track time scale units. Upon an error, MP4_INVALID_DURATION.

DESCRIPTION

MP4GetTrackFixedSampleDuration returns the duration of samples in the specified track in the mp4 file, if this value is fixed for all samples. This is typically the case for audio tracks and video tracks. If the track samples have variable duration, then MP4_INVALID_DURATION is returned.

SEE ALSO

MP4(3)